      SUBROUTINE TIMEIT(CMSGTM,DTIME)
      IMPLICIT NONE
C
C     timeit_null
C
C This version of timeit is a dummy which does not provide any
C timing information.
c history:
C 94.06.20 (PJF) add dtime to the formal parameters
C 99.05.12 (BTD) explicitly declare DTIME
C 04.04.05 (BTD) changed IF(CMSGTM(1:7).NE.. to IF(CMSGTM.NE..
C end history
C
C Copyright (C) 1993,1999,2004 B.T. Draine and P.J. Flatau
C This code is covered by the GNU General Public License.
C***********************************************************************
C Arguments:
      CHARACTER CMSGTM*(*)
      REAL DTIME
C Local variables:
      CHARACTER CSTA*3,CMSGNM*70
C***********************************************************************
      DATA CSTA/'ONE'/
      IF(CSTA.EQ.'ONE')THEN
         CSTA='TWO'
      ELSEIF(CSTA.EQ.'TWO')THEN
         CSTA='ONE'
         WRITE(CMSGNM,FMT='(A,A)')'Timing results for: ',CMSGTM
         CALL WRIMSG('TIMEIT',CMSGNM)
         IF(CMSGTM.NE.'NOPRINT'.AND.CMSGTM.NE.'noprint')THEN
            WRITE(CMSGNM,FMT='(A)')
     &         'Dummy timing routine: no timings available'
            CALL WRIMSG('TIMEIT',CMSGNM)
         ENDIF
      ENDIF
      DTIME=0.
      RETURN
      END
